%define major 4
%define libname %mklibname imobiledevice %{major}
%define develname %mklibname -d imobiledevice

Name:		libimobiledevice
Version:	1.1.5
Release:	2
Summary:	Library for connecting to Apple iPhone and iPod touch
Group:		System/Libraries
License:	LGPLv2+
URL:		http://libimobiledevice.org/
Source0:	http://www.libimobiledevice.org/downloads/%{name}-%{version}.tar.bz2
Patch0:		libimobiledevice-1.1.5-CVE-2013-2142.patch
Patch1:		libimobiledevice-1.1.5-cython.patch
BuildRequires:	pkgconfig(libtasn1)
BuildRequires:	pkgconfig(libplist)
BuildRequires:	pkgconfig(libplist++)
BuildRequires:	pkgconfig(libusbmuxd)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gnutls)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	python-devel
BuildRequires:	python-cython
BuildRequires:	swig
# for CVE-2013-2142 patch
BuildRequires:	autoconf automake

%description
libimobiledevice is a library for connecting
to Apple's iPhone or iPod touch devices

%package -n %{libname}
Group:		System/Libraries
Summary:	Library for connecting to Apple iPhone and iPod touch

%description -n %{libname}
libimobiledevice is a library for connecting
to Apple's iPhone or iPod touch devices

%package -n %{develname}
Summary:	Development package for libimobiledevice
Group:		Development/C
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n %{develname}
Files for development with libimobiledevice.

%package -n python-imobiledevice
Summary: Python bindings for libimobiledevice
Group: Development/Python

%description -n python-imobiledevice
Python bindings for libimobiledevice.

%prep
%setup -q
%apply_patches

%build
autoreconf -fi # for CVE-2013-2142 patch
%configure2_5x --disable-static
%make

%install
%makeinstall_std

%files
%doc AUTHORS COPYING.LESSER README
%{_bindir}/idevice_id
%{_bindir}/ideviceinfo
%{_bindir}/idevicepair
%{_bindir}/idevicesyslog
%{_bindir}/idevicebackup
%{_bindir}/ideviceimagemounter
%{_bindir}/ideviceenterrecovery
%{_bindir}/idevicescreenshot
%{_bindir}/idevicebackup2
%{_bindir}/idevicedate
%{_bindir}/idevicedebugserverproxy
%{_bindir}/idevicediagnostics
%{_bindir}/ideviceprovision
%{_mandir}/man1/idevice*.1.*

%files -n %{libname}
%{_libdir}/lib*.so.%{major}*

%files -n %{develname}
%{_libdir}/pkgconfig/libimobiledevice-1.0.pc
%{_libdir}/libimobiledevice.so
%{_includedir}/libimobiledevice

%files -n python-imobiledevice
%{python_sitearch}/imobiledevice.so

%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 1.1.5-2
+ Revision: 653e2b7
- MassBuild#440: Increase release tag


